* Last processed by NICE on 12-Jun-2000 15:53:00
* Customized for :  IEEE, LINUX, UNIX, MOTIF, F77
      BLOCK DATA SETUPDATA
      INCLUDE 'setup.inc'
      DATA ELMIN, ELMAX /5.0, 90.0/
      DATA RMSMAX /5.0/
      END
*
      SUBROUTINE SET (LINE,COMM,ERROR)
      CHARACTER*(*) LINE,COMM
      LOGICAL ERROR
*
      INCLUDE 'setup.inc'
      INCLUDE 'size.inc'
*
      INTEGER MVOCAB
      PARAMETER (MVOCAB=2)
      INTEGER NKEY,I
      CHARACTER*12 VOCAB(MVOCAB),ARGUM,KEYWOR
      DATA VOCAB /'ELEVATION', 'RMS'/
*
      CALL SIC_CH (LINE,0,1,ARGUM,I,.TRUE.,ERROR)
      IF (ERROR) RETURN
      CALL SIC_AMBIGS('SET',ARGUM,KEYWOR,NKEY,VOCAB,MVOCAB,ERROR)
      IF (ERROR) RETURN
*
      GOTO (1,2) NKEY
*
* Elevation
1     ELMAX = 90.0
      ELMIN = 5.0
      CALL SIC_R4 (LINE,0,3,ELMAX,.FALSE.,ERROR)
      IF (ERROR) RETURN
      CALL SIC_R4 (LINE,0,2,ELMIN,.FALSE.,ERROR)
      IF (ERROR) RETURN
      CALL FLAG_EL(NPT,ELMIN,ELMAX)
      GOTO 50
*
* RMS
2     RMSMAX = 5.0
      CALL SIC_R4 (LINE,0,2,RMSMAX,.FALSE.,ERROR)
      IF (ERROR) RETURN
      CALL FLAG_RM(NPT,RMSMAX)
      GOTO 50
*
50    RETURN
      END
*<FF>
      SUBROUTINE SHOW (LINE,COMM,ERROR)
      CHARACTER*(*) LINE,COMM
      LOGICAL ERROR
*
      INCLUDE 'setup.inc'
      INCLUDE 'size.inc'
      INCLUDE 'data.inc'
*
      INTEGER MVOCAB
      PARAMETER (MVOCAB=4)
      INTEGER NKEY,I,K
      CHARACTER*80 CHAIN
      CHARACTER*12 VOCAB(MVOCAB),ARGUM,KEYWOR
      DATA VOCAB /'ELEVATION', 'RMS', 'IGNORED', 'REJECTED'/
*
      CALL SIC_CH (LINE,0,1,ARGUM,I,.TRUE.,ERROR)
      IF (ERROR) RETURN
      CALL SIC_AMBIGS('SHOW',ARGUM,KEYWOR,NKEY,VOCAB,MVOCAB,ERROR)
      IF (ERROR) RETURN
*
      GOTO (1,2,3,4) NKEY
*
1     WRITE(6,*) 'Elevation range ',ELMIN,ELMAX
      GOTO 50
2     WRITE(6,*) 'Maximum rms of measured errors ',RMSMAX
      GOTO 50
3     K = 1
      WRITE(6,*) 'Ignored data points'
      DO I=1,NPT
         IF (BADUS(I)) THEN
            WRITE (CHAIN(K:),'(I4)') SCAN(I)
            K = K+5
            IF (K.GT.70) THEN
               WRITE(6,*) CHAIN(1:K)
               K = 1
            ENDIF
         ENDIF
      ENDDO
      IF (K.GT.1) WRITE(6,*) CHAIN(1:K)
      GOTO 50
*
4     K = 1
      WRITE(6,*) 'Rejected data points'
      DO I=1,NPT
         IF (BADRE(I)) THEN
            WRITE (CHAIN(K:),'(I4)') SCAN(I)
            K = K+5
            IF (K.GT.70) THEN
               WRITE(6,*) CHAIN(1:K)
               K = 1
            ENDIF
         ENDIF
      ENDDO
      IF (K.GT.1) WRITE(6,*) CHAIN(1:K)
      GOTO 50
*
50    RETURN
      END
